SimpleBeanPropertyFilter.FilterExceptFilter
Date: 2016-12-04

com.fasterxml.jackson.databind.ser.impl

## Class SimpleBeanPropertyFilter.FilterExceptFilter

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter
  - - com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter.FilterExceptFilter

- All Implemented Interfaces:
    BeanPropertyFilter, PropertyFilter, java.io.Serializable
  Enclosing class:
    SimpleBeanPropertyFilter

      public static class SimpleBeanPropertyFilter.FilterExceptFilter
      extends SimpleBeanPropertyFilter
      implements java.io.Serializable

  Filter implementation which defaults to filtering out unknown properties and only serializes ones explicitly listed.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter

      `SimpleBeanPropertyFilter.FilterExceptFilter, SimpleBeanPropertyFilter.SerializeExceptFilter`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Set<java.lang.String>` | `_propertiesToInclude` Set of property names to serialize.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleBeanPropertyFilter.FilterExceptFilter(java.util.Set<java.lang.String> properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `include(BeanPropertyWriter writer)` Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)
    `protected boolean` | `include(PropertyWriter writer)` Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.impl.SimpleBeanPropertyFilter

      `depositSchemaProperty, depositSchemaProperty, depositSchemaProperty, depositSchemaProperty, filterOutAllExcept, filterOutAllExcept, from, includeElement, serializeAll, serializeAll, serializeAllExcept, serializeAllExcept, serializeAsElement, serializeAsField, serializeAsField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _propertiesToInclude

          protected final java.util.Set<java.lang.String> _propertiesToInclude

      Set of property names to serialize.

  - ### Constructor Detail

    - #### SimpleBeanPropertyFilter.FilterExceptFilter

          public SimpleBeanPropertyFilter.FilterExceptFilter(java.util.Set<java.lang.String> properties)

  - ### Method Detail

    - #### include

          protected boolean include(BeanPropertyWriter writer)

      Description copied from class: `SimpleBeanPropertyFilter`
      Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)
      Overrides:
        `include` in class `SimpleBeanPropertyFilter`

    - #### include

          protected boolean include(PropertyWriter writer)

      Description copied from class: `SimpleBeanPropertyFilter`
      Method called to determine whether property will be included (if 'true' returned) or filtered out (if 'false' returned)
      Overrides:
        `include` in class `SimpleBeanPropertyFilter`